Skip to content
Follow yggy on LinkedInFollow @yggy_tech on X

A notes graph node and the notes that mention it

GET
/api/v1/saga/graph/nodes/{id}
curl --request GET \
--url https://api.yggy.tech/api/v1/saga/graph/nodes/example \
--header 'Authorization: Bearer <token>'

The node with at most 20 notes that mention it.

id
required

Graph node id

string
>= 1 characters <= 64 characters /^0x[0-9a-f]+$/i/

Graph node id

Node and notes

Media type application/json
object
id
required
string
label
required
string
type
required
string
degree
integer
notes
required
Array<object>
object
id
required
string
title
required
string
isAudio
required
boolean
noteCount
required
integer
notesMore
required
boolean
hasSources
required
boolean
Example generated
{
"id": "example",
"label": "example",
"type": "example",
"degree": 1,
"notes": [
{
"id": "example",
"title": "example",
"isAudio": true
}
],
"noteCount": 1,
"notesMore": true,
"hasSources": true
}

Not a yggy notes workspace

Media type application/json
object
success
required
boolean
error
required
object
code
required
string
message
required
string
details
Example
{
"success": false
}

No such node in this workspace

Media type application/json
object
success
required
boolean
error
required
object
code
required
string
message
required
string
details
Example
{
"success": false
}

Too many graph requests

Media type application/json
object
success
required
boolean
error
required
object
code
required
string
message
required
string
details
Example
{
"success": false
}